import type { Handle } from '@sveltejs/kit';

export const handle: Handle = async ({ event, resolve }) => {
	const cookie = event.cookies.get('ory_kratos_session');
	event.locals.cookie = cookie ? `ory_kratos_session=${cookie}` : null;

	return resolve(event);
};
